﻿@model List<SportsClub.Areas.Dashboard.Models.DashboardMenuItemViewModel>

@{
    Layout = null;
}

<div class="contrainer-blade" ng-controller="inboxController">

    <div class="blade-bar">
        <a ng-click="MC.closeBlade(step)">
            <i class="icon-cancel-2"></i>
        </a>
        @*<a ng-click="step.isExpanded = false">
                <i class="icon-minus-2"></i>
            </a>*@
        <div class="clearfix"></div>
    </div>

    <h3 class="blade-title show-in-collapse-mode messaging-blade-title">
        <a class="fg-white title  show-in-collapse-mode has-edit-link title-blade" ng-click="step.isExpanded = true">Messaging</a>
        @*<a class="jbi-pen-and-paper btn-send-message" href="#"></a>*@

    </h3>

    <div id="messageItemsWrapper" style="overflow: scroll;" directive-when-scrolled="loadMore()" >
        <ul class="list inbox-messages">
            <!--Online user-->
            <li ng-repeat="item in MC.Chats | orderBy: 'DateTimeTicks' : true" ng-class="{'unseen-msg': item.IsUnread, 'active-msg': item.ChatId == MC.CurrentChat.ChatId}">
                <a ui-sref='Messaging({chatId:item.ChatId})'>
                    <div class="message-pic">
                        <img ng-src="{{item.Logo}}">
                        <!-- <span class="message-status bg-green"></span> -->
                        <span ng-show="item.Unread > 1" class="message-count">{{item.Unread}}</span>
                    </div>
                    <div class="message-info">
                        <span class="message-sender" title="{{item.Subject}}">{{item.Subject}}</span>
                        <p class="message-title">{{item.Audience}}</p>
                    </div>
                    <div class="message-last-grid">
                        <span>{{formatDate(item.DateTimeTicks)}}</span>
                        <span>{{formatTime(item.DateTimeTicks)}}</span>
                    </div>
                </a>
            </li>
        </ul>
    </div>
</div>




